* [gentoo-commits] repo/gentoo:master commit in: app-admin/multilog-watch/
@ 2017-06-12 12:02 Michael Palimaka
0 siblings, 0 replies; 3+ messages in thread
From: Michael Palimaka @ 2017-06-12 12:02 UTC (permalink / raw
To: gentoo-commits
commit: 174b6f63ae75e80a707153a1c64e435ae4431fa7
Author: Michael Palimaka <kensington <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 12 11:46:41 2017 +0000
Commit: Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Mon Jun 12 12:02:12 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=174b6f63
app-admin/multilog-watch: use HTTPS
Package-Manager: Portage-2.3.5, Repoman-2.3.2
app-admin/multilog-watch/multilog-watch-1.12.ebuild | 8 ++++----
1 file changed, 4 insertions(+), 4 deletions(-)
diff --git a/app-admin/multilog-watch/multilog-watch-1.12.ebuild b/app-admin/multilog-watch/multilog-watch-1.12.ebuild
index 3f7aad316e4..a5ba20ffbe3 100644
--- a/app-admin/multilog-watch/multilog-watch-1.12.ebuild
+++ b/app-admin/multilog-watch/multilog-watch-1.12.ebuild
@@ -1,12 +1,12 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
inherit eutils
DESCRIPTION="Watches a multilog file for irregularities"
-HOMEPAGE="http://www.eyrie.org/~eagle/software/multilog-watch/"
-SRC_URI="http://archives.eyrie.org/software/system/multilog-watch
-http://www.eyrie.org/%7Eeagle/software/multilog-watch/sample.filter"
+HOMEPAGE="https://www.eyrie.org/~eagle/software/multilog-watch/"
+SRC_URI="https://archives.eyrie.org/software/system/multilog-watch
+https://www.eyrie.org/%7Eeagle/software/multilog-watch/sample.filter"
LICENSE="Artistic GPL-2"
SLOT="0"
^ permalink raw reply related [flat|nested] 3+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-admin/multilog-watch/
@ 2017-08-07 8:04 Amy Liffey
0 siblings, 0 replies; 3+ messages in thread
From: Amy Liffey @ 2017-08-07 8:04 UTC (permalink / raw
To: gentoo-commits
commit: 3f0fe98e778f6209d5f43d95b8ca388b3dd2ed62
Author: Amy Liffey <amynka <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 7 08:03:53 2017 +0000
Commit: Amy Liffey <amynka <AT> gentoo <DOT> org>
CommitDate: Mon Aug 7 08:04:38 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3f0fe98e
app-admin/multilog-watch: eapi bump to 6
Package-Manager: Portage-2.3.6, Repoman-2.3.1
...watch-1.12.ebuild => multilog-watch-1.12-r1.ebuild} | 18 ++++++++++--------
1 file changed, 10 insertions(+), 8 deletions(-)
diff --git a/app-admin/multilog-watch/multilog-watch-1.12.ebuild b/app-admin/multilog-watch/multilog-watch-1.12-r1.ebuild
similarity index 71%
rename from app-admin/multilog-watch/multilog-watch-1.12.ebuild
rename to app-admin/multilog-watch/multilog-watch-1.12-r1.ebuild
index a5ba20ffbe3..a8298e04e6c 100644
--- a/app-admin/multilog-watch/multilog-watch-1.12.ebuild
+++ b/app-admin/multilog-watch/multilog-watch-1.12-r1.ebuild
@@ -1,9 +1,11 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
+EAPI=6
+
inherit eutils
-DESCRIPTION="Watches a multilog file for irregularities"
+DESCRIPTION="Watches a multilog file for irregularities"
HOMEPAGE="https://www.eyrie.org/~eagle/software/multilog-watch/"
SRC_URI="https://archives.eyrie.org/software/system/multilog-watch
https://www.eyrie.org/%7Eeagle/software/multilog-watch/sample.filter"
@@ -17,15 +19,15 @@ RDEPEND="dev-lang/perl
virtual/qmail"
src_unpack() {
- mkdir "${S}"
- cp "${DISTDIR}"/multilog-watch "${S}"
- cp "${DISTDIR}"/sample.filter "${S}"
+ mkdir "${S}" || die
+ cp "${DISTDIR}"/multilog-watch "${S}" || die
+ cp "${DISTDIR}"/sample.filter "${S}" || die
}
src_compile() {
- mv multilog-watch multilog-watch.orig
- sed -e 's/\/etc\/leland/\/etc\/multilog-watch/' multilog-watch.orig > multilog-watch
- /usr/bin/pod2man -s 1 multilog-watch multilog-watch.1
+ mv multilog-watch multilog-watch.orig || die
+ sed -e 's/\/etc\/leland/\/etc\/multilog-watch/' multilog-watch.orig > multilog-watch || die
+ /usr/bin/pod2man -s 1 multilog-watch multilog-watch.1 || die
}
src_install() {
@@ -33,6 +35,6 @@ src_install() {
insinto /etc/multilog-watch
doins sample.filter
- dobin multilog-watch || die 'install failed'
+ dobin multilog-watch
doman multilog-watch.1
}
^ permalink raw reply related [flat|nested] 3+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-admin/multilog-watch/
@ 2021-01-27 3:52 Sam James
0 siblings, 0 replies; 3+ messages in thread
From: Sam James @ 2021-01-27 3:52 UTC (permalink / raw
To: gentoo-commits
commit: 92f10131c52d90c387d406022ff1a6e7ba67816e
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 27 03:47:46 2021 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Jan 27 03:47:46 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=92f10131
app-admin/multilog-watch: port to EAPI 7
Package-Manager: Portage-3.0.14, Repoman-3.0.2
Signed-off-by: Sam James <sam <AT> gentoo.org>
app-admin/multilog-watch/multilog-watch-1.12-r1.ebuild | 18 ++++++++----------
1 file changed, 8 insertions(+), 10 deletions(-)
diff --git a/app-admin/multilog-watch/multilog-watch-1.12-r1.ebuild b/app-admin/multilog-watch/multilog-watch-1.12-r1.ebuild
index a8298e04e6c..42009247629 100644
--- a/app-admin/multilog-watch/multilog-watch-1.12-r1.ebuild
+++ b/app-admin/multilog-watch/multilog-watch-1.12-r1.ebuild
@@ -1,22 +1,21 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
-
-inherit eutils
+EAPI=7
DESCRIPTION="Watches a multilog file for irregularities"
HOMEPAGE="https://www.eyrie.org/~eagle/software/multilog-watch/"
-SRC_URI="https://archives.eyrie.org/software/system/multilog-watch
-https://www.eyrie.org/%7Eeagle/software/multilog-watch/sample.filter"
+SRC_URI="https://archives.eyrie.org/software/system/multilog-watch"
+SRC_URI+=" https://www.eyrie.org/%7Eeagle/software/multilog-watch/sample.filter"
LICENSE="Artistic GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
-IUSE=""
-RDEPEND="dev-lang/perl
- virtual/qmail"
+RDEPEND="
+ dev-lang/perl
+ virtual/qmail
+"
src_unpack() {
mkdir "${S}" || die
@@ -31,7 +30,6 @@ src_compile() {
}
src_install() {
- dodir /etc/multilog-watch
insinto /etc/multilog-watch
doins sample.filter
^ permalink raw reply related [flat|nested] 3+ messages in thread
end of thread, other threads:[~2021-01-27 3:52 UTC | newest]
Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-01-27 3:52 [gentoo-commits] repo/gentoo:master commit in: app-admin/multilog-watch/ Sam James
-- strict thread matches above, loose matches on Subject: below --
2017-08-07 8:04 Amy Liffey
2017-06-12 12:02 Michael Palimaka
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox